Bug 1964753 - [4.7.z] Bootimage bump tracker
Summary: [4.7.z] Bootimage bump tracker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Gursewak Singh
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1969651 1982001
Blocks: 1964751 1982003 1982004 1983774 2000697 2004678 2004717 2007091
TreeView+ depends on / blocked
 
Reported: 2021-05-26 02:06 UTC by Benjamin Gilbert
Modified: 2021-10-12 19:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2007087 (view as bug list)
Environment:
Last Closed: 2021-10-12 19:51:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5229 0 None open Bug 1964753: Bump RHCOS 4.7 boot image 2021-09-27 19:40:41 UTC
Red Hat Product Errata RHBA-2021:3686 0 None None None 2021-10-12 19:52:10 UTC

Description Benjamin Gilbert 2021-05-26 02:06:41 UTC
Tracker bug for bootimage bump in 4.7.z.  This issue should block issues which need a bootimage bump to fix.

Comment 3 Micah Abbott 2021-09-27 19:48:57 UTC
Moving back to ASSIGNED, as we want the BZ bot integration with the upstream repos to handle the BZ state

Comment 4 Benjamin Gilbert 2021-09-27 19:52:54 UTC
The RHCOS bug bot expects that bootimage bumps with open PRs will be in POST.  Meanwhile, bootimage bump BZs often fail the OpenShift BZ bot's validation, and as a result it does not automatically move the BZ to POST.  I've been doing that by hand.

Comment 8 Michael Nguyen 2021-10-05 13:44:46 UTC
Verified on 4.7.0-0.nightly-2021-10-04-202544.  Boot image is updated


$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-10-04-202544   True        False         6m1s    Cluster version is 4.7.0-0.nightly-2021-10-04-202544
$ oc -n openshift-machine-api get machinesets
NAME                                 DESIRED   CURRENT   READY   AVAILABLE   AGE
ci-ln-lz0gc6k-f76d1-v9ctm-worker-a   1         1         1       1           31m
ci-ln-lz0gc6k-f76d1-v9ctm-worker-b   1         1         1       1           31m
ci-ln-lz0gc6k-f76d1-v9ctm-worker-c   1         1         1       1           31m
ci-ln-lz0gc6k-f76d1-v9ctm-worker-f   0         0                             31m
$ oc -n openshift-machine-api get machinesets/ci-ln-lz0gc6k-f76d1-v9ctm-worker-a -o yaml | grep image
            image: projects/rhcos-cloud/global/images/rhcos-47-84-202109241831-0-gcp-x86-64

From PR:
    "gcp": {
        "image": "rhcos-47-83-202105220305-0-gcp-x86-64",
        "image": "rhcos-47-84-202109241831-0-gcp-x86-64",
        "project": "rhcos-cloud",
        "project": "rhcos-cloud",
        "url": "https://storage.googleapis.com/rhcos/rhcos/rhcos-47-83-202105220305-0-gcp-x86-64.tar.gz"
        "url": "https://storage.googleapis.com/rhcos/rhcos/rhcos-47-84-202109241831-0-gcp-x86-64.tar.gz"
    },
    },

Comment 11 errata-xmlrpc 2021-10-12 19:51:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.33 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3686


Note You need to log in before you can comment on or make changes to this bug.